# F:/Meine Dateien/Visual Studio 2005/Projects/InsightFlow/lib/openglut/include/openglut_ext.h File Reference

This graph shows which files directly or indirectly include this file:

## Defines
#define | GLUT_ACTION_EXIT 0
#define | GLUT_ACTION_GLUTMAINLOOP_RETURNS 1
#define | GLUT_ACTION_CONTINUE_EXECUTION 2
#define | GLUT_CREATE_NEW_CONTEXT 0
#define | GLUT_USE_CURRENT_CONTEXT 1
#define | GLUT_OFFSCREEN 0x0400
#define | GLUT_ACTION_ON_WINDOW_CLOSE 0x01F9
#define | GLUT_WINDOW_BORDER_WIDTH 0x01FA
#define | GLUT_WINDOW_HEADER_HEIGHT 0x01FB
#define | GLUT_VERSION 0x01FC
#define | GLUT_RENDERING_CONTEXT 0x01FD
## Functions
OGAPI void OGAPIENTRY | glutMainLoopEvent (void)
OGAPI void OGAPIENTRY | glutLeaveMainLoop (void)
OGAPI void OGAPIENTRY | glutMouseWheelFunc (void(*callback)(int, int, int, int))
OGAPI void OGAPIENTRY | glutCloseFunc (void(*callback)(void))
OGAPI void OGAPIENTRY | glutWMCloseFunc (void(*callback)(void))
OGAPI void OGAPIENTRY | glutMenuDestroyFunc (void(*callback)(void))
OGAPI void OGAPIENTRY | glutSetOption (GLenum option_flag, int value)
OGAPI void *OGAPIENTRY | glutGetWindowData (void)
OGAPI void OGAPIENTRY | glutSetWindowData (void *data)
OGAPI void *OGAPIENTRY | glutGetMenuData (void)
OGAPI void OGAPIENTRY | glutSetMenuData (void *data)
OGAPI int OGAPIENTRY | glutBitmapHeight (void *font)
OGAPI GLfloat OGAPIENTRY | glutStrokeHeight (void *font)
OGAPI void OGAPIENTRY | glutBitmapString (void *font, const unsigned char *string)
OGAPI void OGAPIENTRY | glutStrokeString (void *font, const unsigned char *string)
OGAPI void OGAPIENTRY | glutWireRhombicDodecahedron (void)
OGAPI void OGAPIENTRY | glutSolidRhombicDodecahedron (void)
OGAPI void OGAPIENTRY | glutWireSierpinskiSponge (int num_levels, const GLdouble offset[3], GLdouble scale)
OGAPI void OGAPIENTRY | glutSolidSierpinskiSponge (int num_levels, const GLdouble offset[3], GLdouble scale)
OGAPI void OGAPIENTRY | glutWireCylinder (GLdouble radius, GLdouble height, GLint slices, GLint stacks)
OGAPI void OGAPIENTRY | glutSolidCylinder (GLdouble radius, GLdouble height, GLint slices, GLint stacks)
OGAPI void *OGAPIENTRY | glutGetProcAddress (const char *procName)

## Define Documentation

#define GLUT_ACTION_CONTINUE_EXECUTION 2

#define GLUT_ACTION_EXIT 0

#define GLUT_ACTION_GLUTMAINLOOP_RETURNS 1

#define GLUT_ACTION_ON_WINDOW_CLOSE 0x01F9

#define GLUT_CREATE_NEW_CONTEXT 0

#define GLUT_OFFSCREEN 0x0400

#define GLUT_RENDERING_CONTEXT 0x01FD

#define GLUT_USE_CURRENT_CONTEXT 1

#define GLUT_VERSION 0x01FC

#define GLUT_WINDOW_BORDER_WIDTH 0x01FA

#define GLUT_WINDOW_HEADER_HEIGHT 0x01FB

## Function Documentation

OGAPI int OGAPIENTRY glutBitmapHeight | ( | void * | font | ) |

OGAPI void OGAPIENTRY glutBitmapString | ( | void * | font,
|  | const unsigned char * | string |
| ) |  |  |

OGAPI void OGAPIENTRY glutCloseFunc | ( | void(*)(void) | callback | ) |

OGAPI void* OGAPIENTRY glutGetMenuData | ( | void |  | ) |

OGAPI void* OGAPIENTRY glutGetProcAddress | ( | const char * | procName | ) |

OGAPI void* OGAPIENTRY glutGetWindowData | ( | void |  | ) |

OGAPI void OGAPIENTRY glutLeaveMainLoop | ( | void |  | ) |

OGAPI void OGAPIENTRY glutMainLoopEvent | ( | void |  | ) |

OGAPI void OGAPIENTRY glutMenuDestroyFunc | ( | void(*)(void) | callback | ) |

OGAPI void OGAPIENTRY glutMouseWheelFunc | ( | void(*)(int, int, int, int) | callback | ) |

OGAPI void OGAPIENTRY glutSetMenuData | ( | void * | data | ) |

OGAPI void OGAPIENTRY glutSetOption | ( | GLenum | option_flag,
|  | int | value |
| ) |  |  |

OGAPI void OGAPIENTRY glutSetWindowData | ( | void * | data | ) |

OGAPI void OGAPIENTRY glutSolidCylinder | ( | GLdouble | radius,
|  | GLdouble | height,
|  | GLint | slices,
|  | GLint | stacks |
| ) |  |  |

OGAPI void OGAPIENTRY glutSolidRhombicDodecahedron | ( | void |  | ) |

OGAPI void OGAPIENTRY glutSolidSierpinskiSponge | ( | int | num_levels,
|  | const GLdouble | offset[3],
|  | GLdouble | scale |
| ) |  |  |

OGAPI GLfloat OGAPIENTRY glutStrokeHeight | ( | void * | font | ) |

OGAPI void OGAPIENTRY glutStrokeString | ( | void * | font,
|  | const unsigned char * | string |
| ) |  |  |

OGAPI void OGAPIENTRY glutWireCylinder | ( | GLdouble | radius,
|  | GLdouble | height,
|  | GLint | slices,
|  | GLint | stacks |
| ) |  |  |

OGAPI void OGAPIENTRY glutWireRhombicDodecahedron | ( | void |  | ) |

OGAPI void OGAPIENTRY glutWireSierpinskiSponge | ( | int | num_levels,
|  | const GLdouble | offset[3],
|  | GLdouble | scale |
| ) |  |  |

OGAPI void OGAPIENTRY glutWMCloseFunc | ( | void(*)(void) | callback | ) |